package com.enterprise.manage.common.web.request;

/**
 * Page Domain (分页参数封装)
 *
 * @author PeiZhi Guo
 * 2021-2-27 11:59
 */
public class PageDomain {

    /**
     * 当前页
     */
    private Integer page;

    /**
     * 每页数量
     */
    private Integer limit;

    /**
     * 获取开始的数据行
     * <p>
     * Return Integer
     */
    public Integer start() {
        return (this.page - 1) * this.limit;
    }

    /**
     * 获取结束的数据行
     * <p>
     * Return Integer
     */
    public Integer end() {
        return this.page * this.limit;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }
}
